<?php
/**
 * An advanced version of CController.
 * @author Sergei Vanyushin (wapmorgan@gmail.com)
 */
class Controller extends CController {
	public $pageHeader;
	public $breadcrumbs = array();

	public function filters() {
		return array(
			'siteInitialization',
		);
	}

	/**
	 * Set default site settings. Language and timezone.
	 * Use user settings if they are present.
	 */
	public function filterSiteInitialization($filterChain) {
		// // site language
		// Yii::app()->language = !Yii::app()->user->isGuest && !empty($this->webUser->language)
		// 	? $this->webUser->language
		// 	: Settings::instance()->language;
		// // site timezone
		// Yii::app()->timezone = !Yii::app()->user->isGuest && !empty($this->webUser->timezone)
		// 	? $this->webUser->language
		// 	: Settings::instance()->timezone;

		// // set mysql timezone
		// Yii::app()->db->createCommand('SET time_zone=:timezone')->execute(array(':timezone' => Yii::app()->timeZone));

		// import CDateFormatter behavior
		Yii::import('ext.ExtendedDateTimeFormattingBehavior.ExtendedDateTimeFormattingBehavior');
		Yii::app()->dateFormatter->attachBehavior('ExtendedDateTimeFormatting', new ExtendedDateTimeFormattingBehavior());

		$filterChain->run();
	}

	/**
	 * Returns web user database record
	 */
	public function getWebUser() {
		return Yii::app()->user->record;
	}

	/**
	 * Returns unique route to this controller/action
	 */
	public function getUniqueRoute() {
		return $this->uniqueId.'/'.$this->action->id;
	}
}
