<?php
/**
 * An advanced version of Controller for frontend.
 * @author Sergei Vanyushin (wapmorgan@gmail.com)
 */
class FrontEndController extends Controller {
	/**
	 * Default site frontend layout
	 */
	public $layout = '/layouts/main';
	/**
	 * Contains number of unread talks
	 */
	public $unreadTalks;
	/**
	 * Contains number of unread notifications
	 */
	public $unreadNotifications;
	/**
	 * Contains number of new friendship requests
	 */
	public $newFriendshipRequests;

	/**
	 * Filters logged users
	 */
	public function filters() {
		return CMap::mergeArray(parent::filters(), array(
			'siteClosed',
			'logoutDeletedUsers',
			'logoutUnnecessaryUsers',
			'accessControl',
			'checkUserName',
			'userInitialization',
		));
	}

	// /**
	//  * Access control list.
	//  * Denies access for guests.
	//  */
	// public function accessRules() {
	// 	return array(
	// 		array('deny',
	// 			'users' => array('?'),
	// 		),
	// 	);
	// }

	/**
	 * Checks that username is filled
	 */
	public function filterCheckUserName($filterChain) {
		// // non-guest & first_name or last_name empty
		// if (!Yii::app()->user->isGuest && (empty($this->webUser->first_name) || empty($this->webUser->last_name)) && strtolower($this->uniqueRoute) != 'users/default/fillname')
		// 		$this->redirect(array('/users/default/fillName'));
		$filterChain->run();
	}

	/**
	 * Checks if logged user didn't save his name
	 */
	public function filterUserInitialization($filterChain) {
		// if (!Yii::app()->user->isGuest) {
		// 	Yii::app()->user->record->updateVisitTime();

		// 	$this->unreadTalks = TalkParticipant::model()->unreadParticipants(Yii::app()->user->record->id)->count();
		// 	$this->unreadNotifications = Notification::model()->count('`user_id` = :user_id AND `new` = "1"', array(':user_id' => Yii::app()->user->record->id));
		// 	$this->newFriendshipRequests = Friend::model()->byUser($this->webUser->id)->count('approved = 0');
		// }
		$filterChain->run();
	}

	/**
	 * Logouts deleted users
	 */
	public function filterLogoutDeletedUsers($filterChain) {
		// // non-guest & record deleted
		// if (!Yii::app()->user->isGuest && Yii::app()->user->record === null)
		// 		Yii::app()->user->logout();
		$filterChain->run();
	}

	/**
	 * Logouts unnecessary users
	 */
	public function filterLogoutUnnecessaryUsers($filterChain) {
		// // non-guest & authentication closed & non-privileged user
		// if (!Yii::app()->user->isGuest && Settings::instance()->authenticationClosed && !Yii::app()->user->checkAccess('administrator'))
		// 		Yii::app()->user->logout();
		$filterChain->run();
	}

	/**
	 * Closes access to site
	 */
	public function filterSiteClosed($filterChain) {
		// $whiteList = array(
		// 	'site/default/error',
		// 	'site/default/closed',
		// 	'admin/default/login',
		// );
		// // site closed & non-privileged user & non-allowed url
		// if (Settings::instance()->siteClosed && !Yii::app()->user->checkAccess('administrator') && !in_array($this->uniqueRoute, $whiteList)) {
		// 	$this->redirect(array('site/default/closed'));
		// }
		$filterChain->run();
	}
}
