<?php
/**
 * WebApplication configuration.
 * @author Sergei Vanyushin (wapmorgan@gmail.com)
 */
$params = Yii::getConfigurationFile('params');
return array(
	'modules' => array(
		'gii' => array(
			'class' => 'system.gii.GiiModule',
			'password' => '123',
		),
	),
	'components' => array(
		'clientScript' => array(
			'scriptMap' => array(
				// 'jquery.js' => false,
				// 'jquery.ba-bbq.js' => false,
				// 'jquery.min.js' => false,
				// 'jquery.ba-bbq.min.js' => false,
				// 'jquery.yiiactiveform.js' => false,
				// 'jquery.yiilistview.js' => false,
				// 'listview/styles.css' => false,
				// 'pager.css' => false,
				// 'listview/styles.css' => false,
				'*.js' => false,
				'*.css' => false,
			),
		),
		'bootstrap' => array(
			'class' => 'bootstrap.components.TbApi',
		),
		'widgetFactory' => array(
			'widgets' => array(
				'CActiveForm' => array(
					'enableAjaxValidation' => false,
					'enableClientValidation' => false,
				),
				'CListView' => array(
					'ajaxUpdate' => false,
				),
			),
		),
		'errorHandler' => array(
			// 'errorAction' => 'site/default/error',
			'adminInfo' => $params['adminEmail'],
		),
		'user' => array(
			'class' => 'WebUser',
			// 'allowAutoLogin' => true,
			// 'loginUrl' => array('users/default/login'),
		),
		'urlManager' => array(
			'urlFormat' => YII_DEBUG ? 'path' : 'get',
			'showScriptName' => YII_DEBUG ? true : false,
			'caseSensitive' => false,
			'rules' => array(
				// 'id<id:\d+>' => 'users/user/index',
				// 'public<id:\d+>' => 'publics/public/index',
			),
		),
		'log' => array(
			'class' => 'CLogRouter',
			'routes' => array(
				array(
					'class' => 'CFileLogRoute',
					'levels' => 'error, warning',
				),
				array(
					'class' => 'CProfileLogRoute',
					'enabled' => YII_DEBUG,
				),
				array(
					'class' => 'CWebLogRoute',
					'enabled' => YII_DEBUG,
					'levels' => 'profile',
				),
			),
		),
	)
);
