<?php
/**
 * Main configuration file.
 * @author Sergei Vanyushin (wapmorgan@gmail.com)
 */
define('DEFAULT_TIMEZONE', 'Europe/Moscow');
define('DEFAULT_CHARSET', 'utf8');

Yii::setPathOfAlias('bootstrap', realpath(dirname(dirname(__FILE__)).'/extensions/bootstrap'));

// enable all modules
$modules = array();
foreach (glob(dirname(__FILE__).'/../modules/*', GLOB_ONLYDIR) as $moduleDir) {
	$id = basename($moduleDir);
	$modules[$id] = array('class' => 'application.modules.'.$id.'.'.ucfirst($id).'Module');
}

return array(
	'language' => 'ru',
	'sourceLanguage' => 'en',
	'timezone' => DEFAULT_TIMEZONE,
	'basePath' => dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	// 'name' => '',
	'preload' => array('log'),
	// 'homeUrl' => array('/site/default/index'),
	'import' => array(
		'application.components.*',
		'application.models.*',
		// 'bootstrap.helpers.TbHtml',
		'ext.YiiMongoDbSuite.*',
		'ext.yii-ext-reversed-pagination.ReversedPagination.*',
	),
	'components' => array(
		'gearman' => array(
			'class' => 'ext.gearman.Gearman',
			'servers' => array(
					array('host' => '127.0.0.1'),
			),
		),
		'staticManager' => array(
			'class' => 'ext.StaticManager.StaticManager',
		),
		// 'authManager' => array(
		// 	'class' => 'CDbAuthManager',
		// 	'itemTable' => '{{auth_items}}',
		// 	'itemChildTable' => '{{auth_items_relationships}}',
		// 	'assignmentTable' => '{{auth_assignments}}',
		// 	'defaultRoles' => array('user', 'author'),
		// ),

		# Uncomment for mysql
		// 'db' => Yii::getConfigurationFile('components/database'),
		# Uncomment for mongodb
		// 'mongodb' => Yii::getConfigurationFile('components/database'),
		'cache' => Yii::getConfigurationFile('components/caching', array('class' => 'system.caching.CFileCache')),
	),
	'modules' => $modules,
	'params' => Yii::getConfigurationFile('params'),
);
